## org.apache.poi.hslf.record
Class ExObjList

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.ExObjList

    public class ExObjList

extends RecordContainer

This class holds the links to exernal objects referenced from the document.

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `ExObjList()` Create a new ExObjList, with blank fields
`protected` `ExObjList(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`ExHyperlink` `get(int id)` Lookup a hyperlink by its unique id
`ExHyperlink[]` `getExHyperlinks()` Returns all the ExHyperlinks
`ExObjListAtom` `getExObjListAtom()` Returns the ExObjListAtom of this list
`long` `getRecordType()` We are of type 1033
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExObjList

    protected ExObjList(byte[] source,
                        int start,
                        int len)

  Set things up, and find our more interesting children

### ExObjList

    public ExObjList()

  Create a new ExObjList, with blank fields

Method Detail

### getExObjListAtom

    public ExObjListAtom getExObjListAtom()

  Returns the ExObjListAtom of this list

### getExHyperlinks

    public ExHyperlink[] getExHyperlinks()

  Returns all the ExHyperlinks

### getRecordType

    public long getRecordType()

  We are of type 1033

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### get

    public ExHyperlink get(int id)

  Lookup a hyperlink by its unique id

  Parameters:
    `id` - hyperlink id
  Returns:
    found `ExHyperlink` or `null`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.